gcf; hold on
for i = 1:nbeams
    t = b_list(i);
    xx = nodes(edges(i,1:2),1);
    yy = nodes(edges(i,1:2),2);
    if t > 10*b_min
        L = ((xx(2)-xx(1))^2 + (yy(2)-yy(1))^2)^0.5;
        CX = (xx(2)-xx(1))/L;
        CY = (yy(2)-yy(1))/L;
        px = [xx(1)+t/2*CY xx(2)+t/2*CY xx(2)-t/2*CY xx(1)-t/2*CY];
        py = [yy(1)-t/2*CX yy(2)-t/2*CX yy(2)+t/2*CX yy(1)+t/2*CX];
        fill(px,py,'k');
    end
end
title('design','FontSize',16)
axis equal; axis tight;
set(gca,'Color','c');
set(gca,'XTick',[],'YTick',[]);
